Subject: Re: undefined reference to 'class::function' error
From: "Kai Xu \(Kevin\)" <[email-masked]>
To: <[email-masked]>
Date: Fri, 10 Oct 2003 11:15:13 +1000

Yes, indeed! I get it working and thank you so much! That's what I used to
do when program c++ under windows, but seems not the right way for UNIX. I
will send email to list after this one :-)

 Kevin

> ----- Original Message ----- 
> From: "Igor Pechtchanski" <[email-masked]>
> To: "Kai Xu (Kevin)" <[email-masked]>
> Cc: <[email-masked]>
> Sent: Friday, October 10, 2003 10:57 AM
> Subject: Re: undefined reference to 'class::function' error
>
>
> > Kevin,
> >
> > Please don't Cc: me, I read the list (I set the Reply-To: for a reason).
> > More below.
> >
> > On Fri, 10 Oct 2003, Kai Xu (Kevin) wrote:
> >
> > > As I am not good at c++, I am not sure what you mean by "link the file
> that
> > > defines this function into the resulting executable". I just include
the
> .h
> > > file that defines the function in the main .cpp file. The compile
> command I
> > > used is:
> > >
> > > g++ sp.cpp (the main cpp file)
> > >
> > > I guess there could be some problem here.
> > >
> > > Kevin
> >
> > Aha, so you aren't linking the file in.  This is a general C/C++
question,
> > not Cygwin specific, and thus off-topic for this list.  For more
details,
> > read up on "separate compilation" and "multiple source files" in any
C/C++
> > book.  For a short term solution, simply add the cpp file that defines
the
> > missing function to the compile command, but if you need further help on
> > similar issues, please try a C/C++ user support list/newsgroup or read
> > an intro to programming book.
> > Igor
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/